DHCP6LEASED(8)

NAME
dhcp6leased - Dynamic Host Configuration Protocol (DHCPv6) client daemon for IPv6 prefix delegation

SYNOPSIS
dhcp6leased [-dnv] [-f file] [-s socket]

DESCRIPTION
dhcp6leased is an IPv6 dynamic host configuration protocol (DHCPv6) daemon for clients. It requests IPv6 prefix delegations from DHCPv6 servers for assignment to downstream interfaces.

DHCPv6 clients are identified by DHCPv6 Unique Identifiers (DUID). dhcp6leased uses a DUID based on a random Universally Unique Identifier (UUID). The DUID is stored in /var/db/dhcp6leased/uuid. If the file does not exist or the UUID is not readable a new UUID is generated.

A running dhcp6leased can be controlled with the dhcp6leasectl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, dhcp6leased will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output. Multiple -v options increase the verbosity.

FILES
/dev/dhcp6leased.sock
    UNIX-domain socket used for communication with dhcp6leasectl(8).
/etc/dhcp6leased.conf
    Default dhcp6leased configuration file.
/var/db/dhcp6leased/<if>
    Interface specific lease files.
/var/db/dhcp6leased/uuid
    DUID to identify this client.

SEE ALSO
dhcp6leased.conf(5), dhcp6leasectl(8), ifconfig(8)

STANDARDS
T. Mrugalski, M. Siodelski, B. Volz, A. Yourtchenko, M. Richardson, S. Jiang, T. Lemon, T. Winters, November 2018, RFC 8415, Dynamic Host Configuration Protocol for IPv6 (DHCPv6).

HISTORY
The dhcp6leased program first appeared in OpenBSD 7.6.

AUTHORS
-nosplit The dhcp6leased program was written by Florian Obser <florian@openbsd.org>.